
USE SVH_REPORT_DB
GO

/**********************************************************************************************************************
|| VALIDACIONES DATAMART
***********************************************************************************************************************/


-- ==========================================================================
-- CARGA MAESTRO CARTERA PERIODO "ANTERIOR"
-- ==========================================================================


/* Revisar/Validar que maestro cartera esté cargado con la info del mes anterior, para cada ejecución de un nuevo cierre */


-- ==========================================================================
-- TABLAS PARAMETRICAS
-- ==========================================================================

-- [JUNO].[TMP_PARAMETRICA]. # REGISTROS: 418 ; 07.21 -> 504 ; 07.29 -> 505; 10.01 -> 520; 10.01 -> 530

	SELECT COUNT(1) FROM [JUNO].[TMP_PARAMETRICA]

-- [JUNO].[TMP_PARAMETRICA]. SOCIEDAD: 2 Bancos - 8 Inmobiliaria

	SELECT CONCEPTO, COUNT(1)
	  FROM [JUNO].[TMP_PARAMETRICA]
	WHERE INFORME = 'SOCIEDAD'
	  AND CONCEPTO IN('KUTXABANK. PERIMETRO BANCOS', 'KUTXABANK. PERIMETRO INMOBILIARIA')
	  AND FLAG = 1
	GROUP BY CONCEPTO


/*
|| Comment testing in branch main
*/

/*
|| This is in DEveloper1 branch
*/


/*
|| Another testing with new branch
*/

/*
|| Testing from remote repository in gitlab web
*/

-- ==========================================================================
-- TABLA PERIMETRO CIERRE
-- ==========================================================================

-- Tabla perimetro cierre, para el periodo actual (ANYO_MES), a día primero de cada mes, debe tener cargada la data de las sociedades bancos (200 y 201)
-- Cierre Agosto: 3.122 registros
-- Cierre Septiembre: 3.122 registros

SELECT MAX(ANYO_MES), MAX(FECHA_CIERRE) FROM  [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE]
SELECT SOCIEDAD, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202210' AND FECHA_CIERRE = '2022-11-01' GROUP BY SOCIEDAD
SELECT SOCIEDAD, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202209' AND FECHA_CIERRE = '2022-10-05' GROUP BY SOCIEDAD
SELECT SOCIEDAD, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202209' AND FECHA_CIERRE = '2022-10-03' GROUP BY SOCIEDAD
SELECT SOCIEDAD, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202208' AND FECHA_CIERRE = '2022-09-01' GROUP BY SOCIEDAD
SELECT SOCIEDAD, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202208' AND FECHA_CIERRE = '2022-09-05' GROUP BY SOCIEDAD
SELECT * FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE ANYO_MES = '202208' AND FECHA_CIERRE = '2022-09-05'

SELECT SOCIEDAD, FECHA_CIERRE, COUNT(1) FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] 
WHERE ANYO_MES = '202210'
GROUP BY SOCIEDAD, FECHA_CIERRE
ORDER BY 1, 2

-- ==========================================================================
-- TABLA TMP_MODIFICACION_PERIMETRO_CIERRE 
-- ==========================================================================

/*
|| Es una tabla histórica. Por lo que SIEMPRE, debe tener registros a "modificar" en el periodo actual
*/

SELECT PERIODO_CIERRE, CONTROL_PERIMETRO, COMENTARIOS, COUNT(1) FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE]
GROUP BY PERIODO_CIERRE, CONTROL_PERIMETRO, COMENTARIOS
ORDER BY 1

PERIODO_CIERRE	CONTROL_PERIMETRO	COMENTARIOS										REGISTROS
202208			EXCLUIR URS			URs Dummies										27
202208			INCLUIR URS			Ventas del mes de abril, gestionadas por SVH	10


-- ==========================================================================
-- TABLA TMP_UR_MAESTRO_HIST 
-- ==========================================================================


	-- [JUNO].[TMP_UR_MAESTRO_HIST]. # REGISTROS: 8.996 ; 
	-- JUNIO  -> 9.139 + 2; 
	-- JULIO  -> 10.012; 
	-- AGOSTO -> 10.014
	-- SEPT   -> 10.085
	-- OCT	  -> 11.261

	SELECT COUNT(1) FROM [JUNO].[TMP_UR_MAESTRO_HIST]

	-- [JUNO].[TMP_UR_MAESTRO_HIST]: 
		-- AGOSTO -> FECHA_CARGA: '2022-09-01'  -  FECHA_DATOS: '2022-08-31'
	SELECT TOP 500 * FROM [JUNO].[TMP_UR_MAESTRO_HIST]
	
	SELECT SOCIEDAD, UNIDAD_REGISTRAL, COUNT(1) FROM [JUNO].[TMP_UR_MAESTRO_HIST] GROUP BY SOCIEDAD, UNIDAD_REGISTRAL HAVING  COUNT(1)>1
	
	SELECT SOCIEDAD, COUNT(1) FROM [JUNO].[TMP_UR_MAESTRO_HIST] GROUP BY SOCIEDAD ORDER BY 1
	SELECT SOCIEDAD, COUNT(1) FROM [JUNO].MAESTRO_CARTERA WHERE PERIODO = '202209' GROUP BY SOCIEDAD ORDER BY 1

	SOCIEDAD #REGISTROS
	200	1432
	201	966
	210	992
	220	3484
	230	666
	240	2513
	250	55
	260	293
	270	23
	280	837

	SOCIEDAD #REGISTROS
	200	1425
	201	941
	210	785
	220	3347
	230	341
	240	2038
	250	55
	260	293
	270	23
	280	837

	SOCIEDAD #REGISTROS
	201	938
	230	339
	250	55
	210	785
	270	23
	240	2021
	260	293
	220	3345
	200	1340

	SOCIEDAD #REGISTROS
	200	1360
	201	939
	210	785
	220	3347
	230	340
	240	2033
	250	55
	260	293
	270	23
	280	837

	SOCIEDAD #REGISTROS
	200	1362
	201	939
	210	785
	220	3347
	230	340
	240	2033
	250	55
	260	293
	270	23
	280	837
	SOCIEDAD #REGISTROS
	200		1425
	201		941
	210		785
	220		3347
	230		341
	240		2038
	250		55
	260		293
	270		23
	280		837

-- ==========================================================================
-- VERSUS TMP_UR_MAESTRO_HIST - MAESTRO_CARTERA(mes anterior)
-- ==========================================================================

-- Están en ambas tablas. Registros: 10.084
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[TMP_UR_MAESTRO_HIST]
INTERSECT
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202209'

-- Existe en cartera y no en tmp_ur. Registro: 1 - Sociedad: 210  -  UR: 60712718. Esta UR es una de las que se borran en inf djudicados
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202209'
EXCEPT
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[TMP_UR_MAESTRO_HIST]

-- Existe en tmp_ur y no en cartera. Registros: 1.177
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[TMP_UR_MAESTRO_HIST]
EXCEPT
SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202209'


-- ==========================================================================
-- CONTROL CARTERA. TMP_UR_MAESTRO_HIST.
-- ==========================================================================

/*
|| De septiembre a Octubre han habido el doble de bajas. Comentarlo con Lidia
*/

	-- VALIDANDO CONTROL CARTERA CON RESPECTO AL MES ANTERIOR
	SELECT SOCIEDAD, CONTROL_CARTERA, COUNT(1) '# DE REGISTROS SEPTIEMBRE' FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = '202209' AND SOCIEDAD IN(200, 201)
	GROUP BY SOCIEDAD, CONTROL_CARTERA ORDER BY 1, 2

	SELECT SOCIEDAD, CONTROL_CARTERA, COUNT(1) '# DE REGISTROS OCTUBRE' FROM JUNO.TMP_UR_MAESTRO_HIST WHERE SOCIEDAD IN(200, 201)
	GROUP BY SOCIEDAD, CONTROL_CARTERA ORDER BY 1, 2


	-- [JUNO].[TMP_UR_MAESTRO_HIST]. CONTROL_CARTERA. STOCK 8.782 - BAJA 149 - VENTA 65;  
		-- JUNIO  -> STOCK 8.722 - BAJA 282 - VENTA 137
		-- JULIO  -> STOCK 8.682 - BAJA 1.120 - VENTA 210
		-- AGOSTO -> STOCK 8.572 - BAJA 1.120 - VENTA 322
		-- SEPT   -> STOCK 8.549 - BAJA 1.129 - VENTA 407
		-- OCT    -> STOCK 8.490 - BAJA 2.278 - VENTA 493
	SELECT CONTROL_CARTERA, COUNT(1) FROM [JUNO].[TMP_UR_MAESTRO_HIST] GROUP BY CONTROL_CARTERA ORDER BY 2 DESC

	-- JUNO.TMP_UR_MAESTRO_HIST. 
		-- JULIO  -> STOCK BANCOS - TABLA UR_PERIMETRO_CIERRE: 1.128  ##  PERIMETRO CARTERA - TABLA HISTORICO.UR_MAESTRO:  8.884
		-- AGOSTO -> STOCK BANCOS - TABLA UR_PERIMETRO_CIERRE: 1.118  ##  PERIMETRO CARTERA - TABLA HISTORICO.UR_MAESTRO:  8.896
		-- SEPT   -> STOCK BANCOS - TABLA UR_PERIMETRO_CIERRE: 1.159  ##  PERIMETRO CARTERA - TABLA HISTORICO.UR_MAESTRO:  8.826
		-- OCT    -> STOCK BANCOS - TABLA UR_PERIMETRO_CIERRE:    46  ##  PERIMETRO CARTERA - TABLA HISTORICO.UR_MAESTRO: 11.215
	SELECT ORIGEN_PERIMETRO, IND_MIGRACION, DETALLE_MIGRACION, COUNT(1) FROM JUNO.TMP_UR_MAESTRO_HIST
	GROUP BY ORIGEN_PERIMETRO, IND_MIGRACION, DETALLE_MIGRACION

	-- JUNO.TMP_UR_MAESTRO_HIST. 
		-- JULIO  -> X MIGRACION NORMAL 10.012
		-- AGOSTO -> X MIGRACION NORMAL 10.014
		-- SEPT   -> X MIGRACION NORMAL 10.085
		-- OCT    -> X MIGRACION NORMAL 11.261
	SELECT  IND_MIGRACION, DETALLE_MIGRACION, COUNT(1) FROM JUNO.TMP_UR_MAESTRO_HIST
	GROUP BY IND_MIGRACION, DETALLE_MIGRACION


	SELECT IND_APORTACION, COUNT(1) '#REGISTROS' FROM [JUNO].TMP_UR_MAESTRO_HIST GROUP BY IND_APORTACION 
	
	--oct
	IND_APORTACION	#REGISTROS
			X		1962
					9299	
	--sept
	IND_APORTACION	#REGISTROS
			X		840
					9245

-- ==========================================================================
-- TABLA TMP_MAPEO_URS 
-- ==========================================================================


	-- [JUNO].[TMP_MAPEO_URS]. # REGISTROS: 
		-- MAYO   -> 11.696
		-- MAYO   -> 11.713
		-- JUNIO  -> 11.729;
		-- JUNIO  -> 12.555 (07.29)
		-- JULIO  -> 12.567
		-- AGOSTO -> 12.600
		-- SEPT	  -> 12.656
	SELECT COUNT(1) FROM [JUNO].[TMP_MAPEO_URS] 

	-- [JUNO].[TMP_MAPEO_URS]. 
	-- JULIO  -> INF_ADJUDICADOS 28, DATOS_FUSION 12.539
	-- AGOSTO -> INF_ADJUDICADOS 61, DATOS_FUSION 12.539
	-- SEPT   -> INF_ADJUDICADOS  2, DATOS_FUSION     54
	-- OCT	  -> INF_ADJUDICADOS  9, DATOS_FUSION  1.109
	SELECT CREATE_DATE, ORIGEN, COUNT(1) FROM [JUNO].[TMP_MAPEO_URS] GROUP BY CREATE_DATE, ORIGEN ORDER BY 1

-- [JUNO].[TMP_MAPEO_URS]. DUPLICIDAD REGISTROS.
	SELECT SOCIEDAD, UNIDAD_REGISTRAL, COUNT(1) FROM [JUNO].[TMP_MAPEO_URS] GROUP BY SOCIEDAD, UNIDAD_REGISTRAL HAVING COUNT(1)>1 -- 0
	SELECT USR003, USR004, COUNT(1) FROM [JUNO].[TMP_MAPEO_URS] GROUP BY USR003, USR004 HAVING COUNT(1)>1 -- 10; antes: 840

-- ==========================================================================
-- TABLA TMP_MAPEO_URS & INF_ADJUDICADOS & TMP_UR_MAESTRO_HIST
-- ==========================================================================

	-- JUNIO: Registros "duplicados". 
		-- Junio   -> 826 Registros
		-- Julio   -> 826 Registros
		-- Agosto  -> 826 Registros
		-- Octubre ->   3 Registros
	SELECT USR003, USR004 FROM [JUNO].[TMP_MAPEO_URS] GROUP BY USR003, USR004 HAVING COUNT(1)>1 
	INTERSECT
	SELECT USR003, USR004 FROM [JUNO].[INF_ADJUDICADOS] INF_ADJ	WHERE INF_ADJ.IND_MIGRACION = 'X' AND INF_ADJ.PERIODO = '202209'


	-- [JUNO].[TMP_MAPEO_URS] vs [JUNO].[TMP_UR_MAESTRO_HIST]. Existen en perimetro cartera y no el tabla de mapeo
		-- MAYO   -> 36
		-- JUNIO  -> 14
		-- JULIO  -> 53
		-- AGOSTO -> 23	
		-- SEPT   -> 37
		-- OCT	  -> 79
	SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[TMP_UR_MAESTRO_HIST]
	EXCEPT
	SELECT SOCIEDAD, UNIDAD_REGISTRAL FROM [JUNO].[TMP_MAPEO_URS]

-- ==========================================================================
-- MAESTRO TASACIONES
-- ==========================================================================

	-- [JUNO].[MAESTRO_TASACIONES] 
		-- MAYO   -> 27.221
		-- JUNIO  -> 27.247
		-- JULIO  -> 29.638
		-- AGOSTO -> 29.639
		-- SEPT   -> 30.524
		-- OCT    -> 35.197
	SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_TASACIONES] GROUP BY PERIODO ORDER BY 1

	-- [JUNO].[MAESTRO_TASACIONES]
		-- JUNIO  -> 'X': 972  ; RESTO REGISTROS: 26.275
		-- JULIO  -> 'X': 1225 ; RESTO REGISTROS: 28.413
		-- AGOSTO -> 'X': 1225 ; RESTO REGISTROS: 28.414
		-- SEPT   -> 'X': 2106 ; RESTO REGISTROS: 28.418
		-- OCT    -> 'X': 4040 ; RESTO REGISTROS: 31.157
	SELECT PERIODO, IND_PERIMETRO, COUNT(1) FROM [JUNO].[MAESTRO_TASACIONES] GROUP BY PERIODO, IND_PERIMETRO ORDER BY PERIODO

-- ==========================================================================
-- MAESTRO CARTERA
-- ==========================================================================

-- [JUNO].[MAESTRO_CARTERA]. # REGISTROS: 8.996; JUNIO -> 9.139; JUNIO -> 9.141; JULIO -> 10.012; AGOSTO -> 10.014; SEPT -> 10.085; OCT -> 11.261
	SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] GROUP BY PERIODO

-- [JUNO].[MAESTRO_CARTERA]. REGISTROS DUPLICIDAD PK: 
	SELECT PERIODO, SOCIEDAD, UNIDAD_REGISTRAL, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] GROUP BY PERIODO, SOCIEDAD, UNIDAD_REGISTRAL HAVING COUNT(1)>1

	-- [JUNO].[MAESTRO_CARTERA]. CONTROL_CARTERA. STOCK 8.782; BAJA 149; VENTA 65 ; JUNIO -> STOCK 8.720; BAJA 282; VENTA 137 ; 	
		-- JUNIO	   -> STOCK 8704; BAJA 282; VENTA 155
		-- JULIO	   -> STOCK 8.682; BAJA 1.120; VENTA 210		
		-- AGOSTO	   -> STOCK 8.572; BAJA 1.120; VENTA 322		
		-- AGOSTO[D+4] -> STOCK 8.568; BAJA 1.120; VENTA 326 
		-- SEPT		   -> STOCK 8.549; BAJA 1.129; VENTA 407 
		-- SEPT[D+3]   -> STOCK 8.539; BAJA 1.129; VENTA 417 
		-- OCT		   -> STOCK 8.490; BAJA 2.278; VENTA 493 
	SELECT CONTROL_CARTERA, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202210' GROUP BY CONTROL_CARTERA ORDER BY 2 DESC

	

	-- [JUNO].[MAESTRO_CARTERA]. CONTROL_CARTERA vs CONTROL_CARTERA_OLD. 
	-- Junio: 18 URs han cambiado de stock a venta
	-- Julio: 59 URs han cambiado de stock a venta. Día D+3
	-- Julio: 61 URs han cambiado de stock a venta. Día D+4
	-- Agosto: 4 URs han cambiado de stock a venta. Día D+3
	-- Agosto: 4 URs han cambiado de stock a venta. Día D+4
	-- Sept[D+3]: 10 URs han cambiado de stock a venta. Día D+4

	SELECT CONTROL_CARTERA, CONTROL_CARTERA_OLD, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202210' GROUP BY CONTROL_CARTERA, CONTROL_CARTERA_OLD ORDER BY 2 DESC
	SELECT CONTROL_CARTERA, CONTROL_CARTERA_OLD, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202209' GROUP BY CONTROL_CARTERA, CONTROL_CARTERA_OLD ORDER BY 2 DESC

	SELECT PERIODO, CONTROL_CARTERA, COUNT(1) FROM [JUNO].[MAESTRO_CARTERA] GROUP BY PERIODO, CONTROL_CARTERA ORDER BY 1
	SELECT TOP 500 * FROM [JUNO].[MAESTRO_CARTERA] WHERE PERIODO = '202210'

	
	/*
	|| También validar: duplicidad por USR003 + USR004
	*/

	SELECT USR003_NUM_SOCIEDAD, USR004_CODIGO_ACTIVO, CONTROL_CARTERA, COUNT(1) FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = '202210'
	GROUP BY USR003_NUM_SOCIEDAD, USR004_CODIGO_ACTIVO, CONTROL_CARTERA
	HAVING COUNT(1)>1
	USR003_NUM_SOCIEDAD	USR004_CODIGO_ACTIVO	CONTROL_CARTERA	#REGISTROS
			50					13459					BAJA	2
			50					15317					BAJA	2

	SELECT USR003_NUM_SOCIEDAD, USR004_CODIGO_ACTIVO, CONTROL_CARTERA, COUNT(1) FROM [JUNO].[BCK_MAESTRO_CARTERA_CIERRE_AGOSTO] WHERE PERIODO = '202208'
	GROUP BY USR003_NUM_SOCIEDAD, USR004_CODIGO_ACTIVO, CONTROL_CARTERA
	HAVING COUNT(1)>1
	
-- ==========================================================================
-- TMP_VALORES_FIJOS
-- ==========================================================================	

	SELECT PERIODO, COUNT(1) FROM [JUNO].[TMP_VALORES_FIJOS] GROUP BY PERIODO ORDER BY 1


-- ==========================================================================
-- RESTO MAESTROS
-- ==========================================================================	

PERIODO	(No column name)
202204	9819
202205	2106
202206	9327
202207	9841
202208	9032
202209	8850
202210	9968

SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_FI_PARTIDAS_UR] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_UA_CONTRATOS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_COMPROMISOS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_FINCAS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_COPROPIETARIOS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[MAESTRO_PERSONAS] GROUP BY PERIODO ORDER BY 1

-- ==========================================================================
-- OTRAS TMPs
-- ==========================================================================	

SELECT PERIODO, COUNT(1) FROM [JUNO].[TMP_VALORES_FIJOS] GROUP BY PERIODO ORDER BY 1

-- ==========================================================================
-- VALIDACIONES CAMPOS
-- ==========================================================================	

	SELECT USR032_LITERAL_ESTADO
	FROM JUNO.MAESTRO_CARTERA
	WHERE CONTROL_CARTERA = 'VENTA' AND CONTROL_CARTERA_OLD = 'STOCK'	

	SELECT PERIODO, CONTROL_CARTERA, USR004_CODIGO_ACTIVO, 
	ADJ408_TIPO_DATOS_INMUEBLES_COMPARABLES,
	ADJ069_PORCENTAJE_URBANIZACION_EJECUTADO,
	ADJ355_PORCENTAJE_AMBITO_VALORADO,
	ADJ409_TIPO_ACTUALIZACION,
	ADJ410_TASA_ANUAL_MEDIA_VAR_PRECIO,
	ADJ099_VALOR_HIPOTESIS_EDIF_TERMINADO,
	ADJ100_VALOR_TERRENO,
	ADJ411_PLAZO_MAX_FIN_CONSTRUCCION,
	ADJ412_PLAZO_MAX_FIN_COMERCIALIZACION,
	ADJ413_MARGEN_BENEFICIO_PROMOTOR,
	ADJ414_VALOR_EFECTOS_SEGURO,
	ADJ415_FECHA_ULTIMA_TASACION_MOD_AUTOMATICO
	FROM JUNO.MAESTRO_CARTERA WHERE UNIDAD_REGISTRAL = 60722967
	SELECT PERIODO, ORIGEN, CONTROL_CARTERA, 
		ADJ408,
		ADJ069,
		ADJ355,
		ADJ409, 
		ADJ410,
		ADJ099,
		ADJ100,
		ADJ411,
		ADJ412,
		ADJ413,
		ADJ414,
		ADJ415
	FROM JUNO.INF_ADJUDICADOS WHERE USR004 = '78271' ORDER BY 1
	
	
/**********************************************************************************************************************
|| VALIDACIONES INFORMES
***********************************************************************************************************************/	


-- ==========================================================================
-- Tabla INF_ADJUDICADOS
-- ==========================================================================	

-- [JUNO].[INF_ADJUDICADOS]. ORIGINAL
		-- JUNIO  -> 9.668
		-- AGOSTO -> 10.541
		-- SEPT   -> 10.612
		-- OCT	  -> 11.788

	SELECT PERIODO, COUNT(1) FROM [JUNO].INF_ADJUDICADOS GROUP BY PERIODO ORDER BY 1
	SELECT IND_MIGRACION, PERIODO, COUNT(1) FROM JUNO.INF_ADJUDICADOS GROUP BY IND_MIGRACION, PERIODO
	SELECT ORIGEN, PERIODO, CONTROL_CARTERA, COUNT(1) '#REGISTROS' FROM JUNO.INF_ADJUDICADOS WHERE PERIODO = '202210'
	GROUP BY ORIGEN, PERIODO, CONTROL_CARTERA ORDER BY 2, 1
	ORIGEN		PERIODO	CONTROL_CARTERA			#REGISTROS
	REPOSITORIO	202210	Bajas 2022 (ene - abr)	83
	REPOSITORIO	202210	Ventas 2022 (ene - abr)	444
	SISTEMA		202210	BAJA					2278
	SISTEMA		202210	STOCK					8490
	SISTEMA		202210	VENTA					493	
	
	ORIGEN		PERIODO	CONTROL_CARTERA			#REGISTROS
	REPOSITORIO	202209	Bajas 2022 (ene - abr)	83
	REPOSITORIO	202209	Ventas 2022 (ene - abr)	444
	SISTEMA		202209	BAJA					1129
	SISTEMA		202209	STOCK					8539
	SISTEMA		202209	VENTA					417

	ORIGEN		PERIODO	CONTROL_CARTERA	#REGISTROS
	REPOSITORIO	202209	Bajas 2022 (ene - abr)	83
	REPOSITORIO	202209	Ventas 2022 (ene - abr)	444
	SISTEMA		202209	BAJA					1129
	SISTEMA		202209	STOCK					8549
	SISTEMA		202209	VENTA					407	
	
	ORIGEN		PERIODO	CONTROL_CARTERA			#REGISTROS
	REPOSITORIO	202208	Bajas 2022 (ene - abr)	83
	REPOSITORIO	202208	Ventas 2022 (ene - abr)	444
	SISTEMA		202208	BAJA					1120
	SISTEMA		202208	STOCK					8568
	SISTEMA		202208	VENTA					326



-- [JUNO].[INF_ADJUDICADOS]. DESPUES DEL BORRADO
		-- JUNIO -> 9.381
		-- AGOSTO -> 10.242
			-- Se eliminan 6 URs de Stock
			-- Se eliminan 293 URs de Baja
			-- Los registros eliminados coiniciden con el numero de registros de la tabla [TMP_INF_ADJUDICADOS_BORRADO_URS]


	SELECT PERIODO, COUNT(1) FROM [JUNO].INF_ADJUDICADOS GROUP BY PERIODO ORDER BY 1
	SELECT IND_MIGRACION, PERIODO, COUNT(1) FROM JUNO.INF_ADJUDICADOS GROUP BY IND_MIGRACION, PERIODO
	SELECT ORIGEN, PERIODO, CONTROL_CARTERA, COUNT(1) FROM JUNO.INF_ADJUDICADOS WHERE PERIODO = '202209'
	GROUP BY ORIGEN, PERIODO, CONTROL_CARTERA ORDER BY 2, 1


-- [JUNO].[INF_ADJUDICADOS]. AGRUPADO POR SISTEMA Y CONTROL_CARTERA

	SELECT PERIODO, ORIGEN, CONTROL_CARTERA, COUNT(1)
	FROM JUNO.INF_ADJUDICADOS WHERE PERIODO = '202210'
	GROUP BY PERIODO, ORIGEN, CONTROL_CARTERA
	ORDER BY 2, 3

	SELECT PERIODO, COUNT(1) FROM JUNO.INF_ADJUDICADOS GROUP BY PERIODO


-- DUPLICADOS INF ADJUDICADOS

	SELECT ORIGEN, USR003, USR004, CONTROL_CARTERA, COUNT(1) '#REGISTROS' FROM JUNO.INF_ADJUDICADOS WHERE PERIODO = '202210'
	GROUP BY ORIGEN, USR003, USR004, CONTROL_CARTERA
	HAVING COUNT(1)>1
	-- OCT
	ORIGEN	USR003	USR004	CONTROL_CARTERA	#REGISTROS
	SISTEMA		50	15317		BAJA			2
	SISTEMA		50	13459		BAJA			2
-- ==========================================================================
-- RESTO INFORMES
-- ==========================================================================	

SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_TASACIONES] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_COMPROMISOS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_ARRENDAMIENTO] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_COPROPIETARIOS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_FINCAS] GROUP BY PERIODO ORDER BY 1
SELECT PERIODO, COUNT(1) FROM [JUNO].[INF_PERSONAS] GROUP BY PERIODO ORDER BY 1


-- ==========================================================================
-- Tabla TMP_INF_ADJUDICADOS_BORRADO_URS
-- ==========================================================================	
select 10295+317

/*
|| Contiene el total registros que se eliminan en cada cierre.
|| En el cierre de agosto la volumetría fue de 306 registros.
*/
SELECT MES_INICIO_BORRADO, IND_BORRADO, COUNT(1) '#REGISTROS' FROM [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]
GROUP BY MES_INICIO_BORRADO, IND_BORRADO
ORDER BY 1
MES_INICIO_BORRADO	IND_BORRADO	#REGISTROS
2022.05					X			152
2022.06					X			129
2022.07					X			17
2022.08								2
2022.08					X			5
2022.09					X			13

SELECT * FROM [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS]


SELECT IND_BORRADO, COUNT(1)  '#REGISTROS' FROM [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] GROUP BY IND_BORRADO
IND_BORRADO	#REGISTROS
				2
	X			316
SELECT MES_INICIO_BORRADO, CONTROL_CARTERA, IND_BORRADO, COUNT(1) FROM [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] GROUP BY MES_INICIO_BORRADO, CONTROL_CARTERA, IND_BORRADO ORDER BY 1

SELECT PERIODO, IND_BORRADO_INF_ADJ, COUNT(1) FROM JUNO.MAESTRO_CARTERA GROUP BY PERIODO, IND_BORRADO_INF_ADJ

-- ==========================================================================
-- BACKUPS
-- ==========================================================================

-- PERIMETRO CIERRE. Backup a fecha 2022.07.05

	SELECT * INTO BCK_UR_PERIMETRO_CIERRE_20220705 FROM [SVH_CORP_DB].[dbo].[UR_PERIMETRO_CIERRE] WHERE SOCIEDAD IN(200, 201, 210, 220, 230, 240, 250, 260, 270) AND ANYO_MES = '202206'

-- MAESTRO CARTERA. Antes de los updates D+4

	SELECT * INTO SVH_REPORT_DB.JUNO.BCK_MAESTRO_CARTERA_CIERRE_JUNIO_D FROM SVH_REPORT_DB.JUNO.MAESTRO_CARTERA

-- MAESTRO CARTERA. Lo que ya se ha entregado a cliente, junio
	SELECT * FROM [JUNO].[BCK_MAESTRO_CARTERA_WK]

-- INF ADJUDICADOS JULIO DIA D

	SELECT * INTO BCK_INF_ADJUDICADOS_JULIO_DIA_D FROM [JUNO].[INF_ADJUDICADOS] WHERE PERIODO = '202207'

/*
BCK JULIO. DIA D+4. ENTREGADO A CLIENTE
*/
SELECT * INTO BCK_MAESTRO_CARTERA_CIERRE_JULIO_D4 FROM JUNO.MAESTRO_CARTERA WHERE PERIODO = '202207'
SELECT * INTO BCK_INF_ADJUDICADOS_CIERRE_JULIO_D4 FROM JUNO.INF_ADJUDICADOS WHERE PERIODO = '202207'


-- ==========================================================================
-- UPDATES POST GENERACIÓN MAESTRO CARTERA. 2022075
-- ==========================================================================

UPDATE JUNO.MAESTRO_CARTERA SET ADJ007_VALOR_CONTABLE_BRUTO = 29636.54, USR067_VALOR_CONTABLE_BRUTO = 29636.54, USR043_AMORTIZACION = 0.0
WHERE SOCIEDAD = 200 AND UNIDAD_REGISTRAL = 60706199 AND PERIODO = '202206'	
	
	

/**********************************************************************************************************************
|| DUDAS
***********************************************************************************************************************/	


-- SCRIPT 00: 
	-- Se tiene que seguir excluyendo las urs dummies. Se mantiene
	-- Se tiene que seguir incluyendo urs vendidas en abril. Se mantiene
	-- Cómo reconocer las URs de expertis?
	
-- MAESTRO CARTERA
	-- El proceso que llena la tabla debería ser truncate o delete mas no drop
	-- Qué versión es la que se dejará para el mes de mayo??
		-- Recordar que durante todo el mes de junio, se han seguido ejecutando versiones de cartera. Por eso la duda, cuál dejar?
	
-- INF ADJUDICADOS
	-- Se tiene que seguir ejecutando el borrado(delete) de las 152 URs?	Se tienen que seguir borrando
	-- Analizar/Confirmar. Si se tiene que quitar o no el insert de inf adjudicados del periodo anterior (ventas y bajas del 2022, desde enero hasta abril).
	

-- ################################################################################################
-- OTRAS VALIDACIONES
-- ################################################################################################

SELECT ORIGEN_PERIMETRO, COUNT(1) FROM [JUNO].[TMP_UR_MAESTRO_HIST] GROUP BY ORIGEN_PERIMETRO
ORIGEN_PERIMETRO								(No column name)
PERIMETRO CARTERA - TABLA HISTORICO.UR_MAESTRO	7174
STOCK BANCOS - TABLA UR_PERIMETRO_CIERRE		1965
PERIMETRO CARTERA - NUEVAS URS					2

SELECT ORIGEN, COUNT(1) FROM [JUNO].[TMP_MAPEO_URS] GROUP BY ORIGEN
ORIGEN			(No column name)
INF_ADJUDICADOS	16
DATOS_FUSION	11713

SELECT PERIODO, CONTROL_CARTERA, CONTROL_CARTERA_OLD, COUNT(1) FROM JUNO.MAESTRO_CARTERA 
GROUP BY PERIODO, CONTROL_CARTERA, CONTROL_CARTERA_OLD 

PERIODO	CONTROL_CARTERA	CONTROL_CARTERA_OLD	(No column name)
202205	BAJA			BAJA				149
202205	STOCK			STOCK				8762
202205	VENTA			STOCK				20
202205	VENTA			VENTA				65
202206	BAJA			BAJA				282
202206	STOCK			STOCK				8704
202206	VENTA			STOCK				18
202206	VENTA			VENTA				137


SELECT PERIODO, COUNT(1) FROM JUNO.MAESTRO_CARTERA GROUP BY PERIODO

PERIODO	(No column name)
202205	8996
202206	9141

SELECT PERIODO, ORIGEN, COUNT(1) FROM JUNO.INF_ADJUDICADOS GROUP BY PERIODO, ORIGEN ORDER BY 1
PERIODO	ORIGEN	(No column name)
202202	REPOSITORIO	38516
202203	REPOSITORIO	38657
202204	REPOSITORIO	38685
202205	REPOSITORIO	527
202205	SISTEMA	8844
202206	REPOSITORIO	527
202206	SISTEMA	8854

SELECT PERIODO, COUNT(1) FROM JUNO.INF_ADJUDICADOS GROUP BY PERIODO
PERIODO	(No column name)
202202	38516
202203	38657
202204	38685
202205	9371
202206	9381
